JSP Imports

I'm using version 4.03, build 1182, and am having a problem importing classes into JSPs. Basically, I can't figure out how to set up my web module so that the import directives in my JSPs are recognised by Idea for code completetion, error highlighting, etc.
The funny thing is that all the classes in any jar libraries seems to be available - this is an issue only with project specific classes I'm developing myself.
So
<%@ page import="java.sql.Array"%> works
but
<%@ page import="com.tgsc.MyClass"%> doesn't, and is not recognised by Idea for code completion, etc.

Any ideas?

4 comments
Comment actions Permalink

Can you give a little info about your project setup? Do you have multiple
modules? Do you have a WebModule setup correctly?

"Oisin O Murchu" <no_mail@jetbrains.com> wrote in message
news:13713388.1087483742946.JavaMail.itn@is.intellij.net...

I'm using version 4.03, build 1182, and am having a problem importing

classes into JSPs. Basically, I can't figure out how to set up my web module
so that the import directives in my JSPs are recognised by Idea for code
completetion, error highlighting, etc.

The funny thing is that all the classes in any jar libraries seems to be

available - this is an issue only with project specific classes I'm
developing myself.

So
<%@ page import="java.sql.Array"%> works
but
<%@ page import="com.tgsc.MyClass"%> doesn't, and is not recognised by

Idea for code completion, etc.
>

Any ideas?



0
Comment actions Permalink

I suspect I have a problem with the web module, but have gone through it as much as I can, and can't see the problem.

Basically, I have a standard web/J2Ee app, with an ejb module, a web module, and a source code module. In the web module, I have the Java source tree included under paths, and have also tried including the source module as a dependency in the web module, but to no avail.

Is there anything else I should look at?

Oisín.

0
Comment actions Permalink

I've still had no luck solving this - does anybody have any ideas?

Oisín.

0
Comment actions Permalink

The EAP download has build 1185 on the 4.0 branch. Maybe that will fix
your problems.

.... or you could live on the bleeding edge and use build 2132 on the
4.5 branch.

Norris Shelton
Sun Certified Java Programmer




Oisin O Murchu wrote:

>I've still had no luck solving this - does anybody have any ideas?
>
>Ois�n.

>

0

Please sign in to leave a comment.